<!--
    Copyright (c) 2020 Texas Instruments Incorporated
    All rights reserved.

    Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions
    are met:

    *   Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
    *   Neither the name of Texas Instruments Incorporated nor the names of
    its contributors may be used to endorse or promote products derived
    from this software without specific prior written permission.

    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
    AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
    THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
    PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
    CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
    EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
    PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
    OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
    WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
    OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
    EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>gc-widget-tab-container-navbar Demo</title>
    <script nomodule="" src="../../build/gc-components.js"></script>
    <script type="module" src="../../build/gc-components.esm.js"></script>
    <link rel="stylesheet" type="text/css" href="../../../assets/stylesheets/gc-demo-stylesheet.css">

    <style>
        #demo_tab_container {
            width: 100%;
            min-width: 630px;
        }
    </style>
</head>

<body>
    <div id="demo_container">
        <gc-widget-tab-container id="demo_tab_container" position="none">
            <gc-widget-tab-panel id="intro" label="Intro" tooltip="Introduction" icon-name="action:home" layout vertical center-justified center>Intro</gc-widget-tab-panel>
            <gc-widget-tab-panel id="search" label="Search" tooltip="Search the internet" icon-name="action:search" layout vertical center-justified center>Search</gc-widget-tab-panel>
            <gc-widget-tab-panel id="report" label="Report" tooltip="Bug report" icon-name="action:bug_report" layout vertical center-justified center>Report</gc-widget-tab-panel>
        </gc-widget-tab-container>
        <gc-widget-tab-container-navbar id="demo_element" />
    </div>
    <div id="demo_properties_container">
        <table>
            <tr>
                <th><gc-widget-label label="Property" /></th>
                <th><gc-widget-label label="Value" /></th>
            </tr>
            <tr>
                <td><gc-widget-label label="tabContainerId" /></td>
                <td><gc-widget-select id="tab_container_id" labels=",demo_tab_container,not_a_tab_container"/></td>
            </tr>
            <tr>
                <td><gc-widget-label label="excludedTabPanelIds" /></td>
                <td><gc-widget-select id="excluded_tab_panel_ids" labels="|intro|search|report|intro,search|intro,report"/></td>
            </tr>
        </table>
    </div>
</body>
</html>